<div id="body" class="container-fluid">
  <h6>WorkForce Calendar</h6>


  <div class="container form-group form-group-sm">
    <div class="row">
      <div class="col text-right">
        Selected User
      </div>
      <div class="col-md-auto">
        <dx-select-box [dataSource]="resourceData" width="350px"
                       displayExpr="text" valueExpr="id" [value]="defaultId"
                       [searchEnabled]="true" [searchExpr]="['text']" searchMode="startswith"
                       (onValueChanged)="onResourceSelect($event)">
        </dx-select-box>
      </div>
      <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
        <button type="button" class="btn btn-sm btn-primary btn-block" (click)="listViewAction()">
          List View
        </button>
      </div>
    </div>
  </div>

  <p></p>

  <dx-scheduler [dataSource]="appointmentsData"
                [views]='["day", "week", "workWeek", "month",{type: "timelineDay", name: "Timeline"}]'
                [currentDate]="currentDate"
                [startDayHour]="0"
                recurrenceEditMode="series"
                [(currentView)]="currentView"
                [customizeDateNavigatorText]="customizeDateNavigatorText"
                (onAppointmentFormOpening)="onAppointmentFormOpening($event)"
                (onAppointmentAdded)="onAppointmentAdded($event)"
                (onAppointmentUpdated)="onAppointmentUpdated($event)"
                (onAppointmentDeleted)="onAppointmentDeleted($event)">
                <dxo-editing #editingOptions
                  [allowDragging]="false"></dxo-editing>
  </dx-scheduler>


  <!-- <dx-data-grid #grid id="grid" keyExpr="evenT_ID" [dataSource]="calendarViewDetailsList"
                [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                [showBorders]="true" [columnAutoWidth]="true">
    <dxo-selection mode="single"></dxo-selection>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
  </dx-data-grid> -->
</div>
